# Uses of Enum
waffle.windows.auth.PrincipalFormat

Packages that use PrincipalFormat
Package
Description
waffle.servlet
Waffle JNA Servlet Package.
waffle.windows.auth
Waffle JNA Windows Authorization Package.

## Uses of PrincipalFormat in waffle.servlet

Methods in waffle.servlet that return PrincipalFormat
Modifier and Type
Method
Description
`PrincipalFormat`
NegotiateSecurityFilter.`getPrincipalFormat()`
Principal format.
`PrincipalFormat`
NegotiateSecurityFilter.`getRoleFormat()`
Principal format.
Constructors in waffle.servlet with parameters of type PrincipalFormat
Modifier
Constructor
Description
``
`AutoDisposableWindowsPrincipal(IWindowsIdentity windowsIdentity, PrincipalFormat principalFormat, PrincipalFormat roleFormat)`
Instantiates a new auto disposable windows principal.
``
`WindowsPrincipal(IWindowsIdentity windowsIdentity, PrincipalFormat principalFormat, PrincipalFormat roleFormat)`
A windows principal.

## Uses of PrincipalFormat in waffle.windows.auth

Methods in waffle.windows.auth that return PrincipalFormat
Modifier and Type
Method
Description
`static PrincipalFormat`
PrincipalFormat.`valueOf(String name)`
Returns the enum constant of this type with the specified name.
`static PrincipalFormat[]`
PrincipalFormat.`values()`
Returns an array containing the constants of this enum type, in the order they are declared.